## mkdecbootcd 0.2

=== Makefile ===
DESTDIR=
CC=gcc
CFLAGS=-O2

mkdecbootcd: mkdecbootcd.c

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp -f mkdecbootcd $(DESTDIR)/usr/bin/mkdecbootcd

uninstall:
	rm -f $(DESTDIR)/bin/mkdecbootcd
	-rmdir $(DESTDIR)/bin
clean:
	rm -f mkdecbootcd

=== debian/changelog ===
mkdecbootcd (0.2) unstable; urgency=low

  * Added manual mode (let the user specify startsector and number of 
    sectors to boot from the CD). This offers the possibility to use 
    mkdecbootcd without loop-mounting the image and therefore without 
    root access.

 -- Karsten Merker <merker@debian.org>  Fri, 3 May 2002 16:18:43 +0200

mkdecbootcd (0.1) unstable; urgency=low

  * Initial Release.
  * Closes: #144787

 -- Karsten Merker <merker@debian.org>  Sun, 28 Apr 2002 10:51:18 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mkdecbootcd
Section: otherosfs
Priority: optional
Maintainer: Karsten Merker <merker@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: mkdecbootcd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mkisofs
Description: A tool for making CDs bootable on DECstations 
 mkdecbootcd generates the bootsector that is required to boot a Linux
 kernel from CD on a DECstation (Debian/mipsel). 
 You can think of mkdecbootcd as a rough equivalent to lilo on i386, 
 just with the difference that its target is a DECstation instead of
 a PC and that it builds bootsectors for CDROMs instead of harddisks.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:  
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/mkdecbootcd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman mkdecbootcd.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
